Logic Engine
------------

##Rules for String Comparison
	**All rules compare left with right (one-way comparison)**
	-Equal
	-NotEqual
	-BeginsWith
	-EndsWith
	-Contains
	-NotContains

##Rules for Number Comparison
	**All rules compare left with right (one-way comparison)**
	-Equal
	-NotEqual
	-GreaterThan
	-SmallerThan
	-GreaterThanOrEqual
	-SmallerThanOrEqual

##Rules for Boolean Comparison
	**All rules compare left with right (one-way comparison)**
	-Equal
	-NotEqual
	-OR
	-AND


